Bug 73002 - emulators/dosbox failed to compile
Summary: emulators/dosbox failed to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-22 13:50 UTC by Rashid N. Achilov
Modified: 2004-10-28 06:21 UTC (History)
0 users

See Also:


Attachments
patch-src::dos::cdrom.h (280 bytes, application/octet-stream)
2004-10-25 21:40 UTC, Oliver Lehmann
no flags Details
patch-src::dos::cdrom_image.cpp (583 bytes, application/octet-stream)
2004-10-25 21:40 UTC, Oliver Lehmann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rashid N. Achilov 2004-10-22 13:50:28 UTC
emulators/dosbox-0.62 failed to compile with this diagnostic:

Making all in dos
source='dos_programs.cpp' object='dos_programs.o' libtool=no  depfile='.deps/dos_programs.Po' tmpdepfile='.deps/dos_programs.TPo'  depmode=gcc /bin/sh ../../depcomp  c++ -DHAVE_CONFIG_H -I. -I. -I../..   -I../../include -I/usr/local/include -I/usr/local/include/SDL11 -I/usr/local/include -D_REENTRANT -D_THREAD_SAFE  -O -pipe -march=pentiumpro -c -o dos_programs.o `test -f 'dos_programs.cpp' || echo './'`dos_programs.cpp
In file included from dos_programs.cpp:30:
cdrom.h:122: syntax error before `*'
*** Error code 1

Stop in /usr/ports/emulators/dosbox/work/dosbox-0.62/src/dos.
*** Error code 1

Fix: 

Unknown
How-To-Repeat: Try to make port
Comment 1 edwin 2004-10-22 15:47:22 UTC
On Fri, Oct 22, 2004 at 07:47:25PM +0700, Rashid N. Achilov wrote:
> In file included from dos_programs.cpp:30:
> cdrom.h:122: syntax error before `*'
> *** Error code 1

Can you see if it works if you add USE_GCC=34 to the Makefile?

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 2 edwin 2004-10-22 15:48:59 UTC
USE_GCC=3.4 that is. Or 3.3.

3.3 works here under 5.2.1 without problems.

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 3 Oliver Lehmann freebsd_committer 2004-10-25 21:40:20 UTC
Hi,

I would like to submit the attached patches to fix build on FreeBSD 4.
Please approve if it's ok for you.

-- 
 Oliver Lehmann
  http://www.pofo.de/
  http://wishlist.ans-netz.de/
Comment 4 Oliver Lehmann freebsd_committer 2004-10-25 21:41:15 UTC
State Changed
From-To: open->analyzed

Fix is ready to commit, awaiting maintaineres approval
Comment 5 Knyghtmare 2004-10-28 01:24:14 UTC
On Mon, Oct 25, 2004 at 10:40:20PM +0200, Oliver Lehmann wrote:
> I would like to submit the attached patches to fix build on FreeBSD 4.
> Please approve if it's ok for you.

Thanks - if it works, I'm perfectly happy with it. This still compiles for
my 5.x, in case it isn't tested.
Comment 6 Oliver Lehmann freebsd_committer 2004-10-28 06:20:50 UTC
State Changed
From-To: analyzed->closed

Committed a fix.